<?php

/**
 * 
 * Copyright (C) Die Randgruppe GmbH
 * 
 * http://www.randshop.com
 * http://www.dierandgruppe.com
 * 
 * Unter der Lizenz von Die Randgruppe GmbH:
 * http://www.randshop.com/Lizenz
 *  
 * $Author$
 * $Date$
 * $Revision$
 * 
 */

	session_start();

	// SourceID = 3

	// PHP-Includes
    if (!$SEOCall) {
    	include_once("../../conf/config.inc.php");
    	include_once(DATEIPFAD . "conf/db.inc.php");
    }
    
    include_once(DATEIPFAD . "includes/shopinitialize.inc.php");
	include_once(DATEIPFAD . "includes/functions.waehrung.inc.php");
	include_once(DATEIPFAD . "includes/functions.artikel.inc.php");
	include_once(DATEIPFAD . "includes/functions.datenblatt.inc.php");
	include_once(DATEIPFAD . "includes/functions.shopeinstellung.inc.php");
	include_once(DATEIPFAD . "includes/session_register.inc.php");
	include_once(DATEIPFAD . "includes/functions.global.inc.php");
	include_once(DATEIPFAD . "includes/functions.statistik.inc.php");
    include_once(DATEIPFAD . "includes/functions.customisation.inc.php");
    
	// Spracheninclude
	if (@fopen(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php",r)) {
		include_once(DATEIPFAD . "includes/language/langu_" . $_SESSION["languageisocode"] . ".inc.php");
	} else {
		include_once(DATEIPFAD . "includes/language/langu_de.inc.php");
	}

    $einstellungen = GetEinstellungen('', 'artikel');
    $tpl_gebindepreise_aktiv = $einstellungen->artikel->gebindepreise_aktiv;
    $tpl_facebook_check = $einstellungen->artikel->facebook_likebutton;
    $einstellungen = GetEinstellungen('', 'artikel_gebinde');
    $gebindeArray = explode(';', $einstellungen->artikel_gebinde->gebinde);
    foreach($gebindeArray as $gebinde)
    {
        $gebindeWerte = explode('_', $gebinde);
        if($gebindeWerte[0] && $gebindeWerte[1])
            $tpl_gebinde[$gebindeWerte[1]] = $gebindeWerte[0];
    }
    $WaehrungObject = GetWaehrungDetail();


    $SQLString = 'SELECT ';
    $SQLString .= TABLE_ARTIKEL . '.merkmalkombination ';
    $SQLString .= 'FROM ';
    $SQLString .= TABLE_ARTIKEL . ' ';
    $SQLString .= 'WHERE ';
    $SQLString .= TABLE_ARTIKEL . '.id = \'' . $ArtikelID . '\' ';
    
    $ArtikelObject = mysql_fetch_object(errorlogged_mysql_query($SQLString));
    
    if ($ArtikelObject->merkmalkombination) {
        $ArtikelID = $ArtikelObject->merkmalkombination;
    }
	// **********************************************************************
	// ** Artikeldetails einlesen
	// **********************************************************************

	$ArtikelObject = GetArtikelDetail($ArtikelID, $_SESSION["mail"], 1, $_SESSION["languageid"]);
    if($ArtikelObject->merkmalkombination || $ArtikelObject->merkmalkombinationparentid) {

        for($i=1;$i<5;$i++) {
            if($_GET['variante' . $i]) {
                $varianteVorSelektiert = 'variante'.$i;
                $varianteVorSelektiertMerkmal = $_GET['variante' . $i];
            }
        }

        $merkmalkombinationen = GetArtikelDataArrayPA(
            array(
                'SearchField' => array('merkmalkombinationparentid'),
                'SearchString' => array(($ArtikelObject->merkmalkombinationparentid?$ArtikelObject->merkmalkombinationparentid:$ArtikelObject->id)),
                'SortField' => 'merkmalkombinationsort',
                'SortOrder' => 'ASC',
                'FilterMerkmalkombinationen' => 0,
                'FilterAktiv' => 1,
                'OptionVarianten' => 2
            )
        );

        $tpl_merkmalkombiVarianten = array();

        $FirstValidID = false;
        foreach($merkmalkombinationen as $merkmalkombination) {
            if(!$merkmalkombination['verkaufstop'] || $merkmalkombination['lager_bestellungen'] > 0) {
                if(!$FirstValidID) {
                    $FirstValidID = $merkmalkombination['id'];
                }
                $merkmalkombiTplData = new stdClass();
                $merkmalkombiTplData->id = $merkmalkombination['id'];
                $merkmalkombiTplData->varianten[0] = $merkmalkombination['variante1'];
                $merkmalkombiTplData->varianten[1] = $merkmalkombination['variante2'];
                $merkmalkombiTplData->varianten[2] = $merkmalkombination['variante3'];
                $merkmalkombiTplData->varianten[3] = $merkmalkombination['variante4'];
                $merkmalkombiTplData->preis_format = $merkmalkombination['preis_format'];
                if($merkmalkombination['einheit_groesse']) {
                    $merkmalkombiTplData->gebindepreis_string = '(' . $lang_gebindepreis . ' ' . $tpl_gebinde[$merkmalkombination['einheit_masseinheit']] . $merkmalkombination['einheit_masseinheit'] . ' = ' . number_format($merkmalkombination['preis'] * $tpl_gebinde[$merkmalkombination['einheit_masseinheit']] / $merkmalkombination['einheit_groesse'], 2, ',', '.') . ' ' . $WaehrungObject->symbol . ')';
                } else {
                    $merkmalkombiTplData->gebindepreis_string = '';
                }
                $merkmalkombiTplData->gewicht = number_format($merkmalkombination['gewicht'], 2, ',', '.');
                $merkmalkombiTplData->lager = $merkmalkombination['lager_bestellungen'];
                $preisstaffeln = GetArtikelPreisstaffel($merkmalkombination['id'],$_SESSION["mail"]);
                $merkmalkombiTplData->preisstaffel = array();
                foreach($preisstaffeln as $staffel) {
                    $merkmalkombiTplData->preisstaffel[] = array('menge' => $staffel['menge'], 'preis' => $staffel['preis']);
                }
                $merkmalkombiTplData->imagebig_imagestring_format = $merkmalkombination['imagebig_imagestring_format'];
                $merkmalkombiTplData->imagebig = $merkmalkombination['imagebig'];
                $merkmalkombiTplData->lieferstatus_imagestring = $merkmalkombination['lieferstatus_imagestring'];
                $merkmalkombiTplData->artikelnummer = $merkmalkombination['artikelnummer'];
                $tpl_merkmalkombinationen[$merkmalkombination['id']] = $merkmalkombiTplData;
                if($merkmalkombination['variante1'])
                    $tpl_merkmalkombiVarianten[0][$merkmalkombination['variante1']] = $merkmalkombination['variante1name'];
                if($merkmalkombination['variante2'])
                    $tpl_merkmalkombiVarianten[1][$merkmalkombination['variante2']] = $merkmalkombination['variante2name'];
                if($merkmalkombination['variante3'])
                    $tpl_merkmalkombiVarianten[2][$merkmalkombination['variante3']] = $merkmalkombination['variante3name'];
                if($merkmalkombination['variante4'])
                    $tpl_merkmalkombiVarianten[3][$merkmalkombination['variante4']] = $merkmalkombination['variante4name'];
                if($varianteVorSelektiert && $merkmalkombination[$varianteVorSelektiert] == $varianteVorSelektiertMerkmal || !$varianteVorSelektiert && $merkmalkombination['id'] == $ArtikelID) {
                    $tpl_merkmalkombiVariantenSelected = array($merkmalkombination['variante1'], $merkmalkombination['variante2'], $merkmalkombination['variante3'], $merkmalkombination['variante4']);
                    if($merkmalkombination['id'] != $ArtikelID) {
                        $ArtikelID = $merkmalkombination['id'];
                        $ArtikelObject = GetArtikelDetail($ArtikelID, $_SESSION["mail"], 1, $_SESSION["languageid"]);
                    }
                }
            }
        }
        $tpl_merkmalkombinationenJSON = json_encode($tpl_merkmalkombinationen);
        $tpl_merkmalkombiVariantenJSON = json_encode($tpl_merkmalkombiVarianten);
        if(!$tpl_merkmalkombinationen[$ArtikelID]) {
            $ArtikelID = $FirstValidID;
            $ArtikelObject = GetArtikelDetail($ArtikelID, $_SESSION["mail"], 1, $_SESSION["languageid"]);
        }
    }


    $FeatureObject = GetFeatureDetail();

	// Wenn der Artikel deaktiviert ist
	if (!$ArtikelObject->aktiv) {
        header("HTTP/1.1 301 Moved Permanently");
        header("Location: " . URLPFAD . "index.php");
		exit;
	}
    
    if (!$KategorieID && $ArtikelObject->kategorie_array[0]["id"]) {
        $_SESSION['artikelliste_shop']['kategorieid'] = $ArtikelObject->kategorie_array[0]["id"];
        $KategorieID = $ArtikelObject->kategorie_array[0]["id"];
    }
    
	
	$shopeinstellungenObject = GetShopeinstellungDetail();
	
	// Statistik Event aufzeichnen
	if(isset($_GET['refertype'])) { $verweisQuelle = $_GET['refertype']; }
	if(isset($_GET['referid'])) { $verweisQuelleID = $_GET['referid']; }
	if(!isset($verweisQuelle))
	{
		SetReferTypeFromHttpReferer($verweisQuelle, $verweisQuelleID);
	}
	if($shopeinstellungenObject->statistikevents_speichern)
	{
		
		StatistikEventArtikelView($_SESSION['kunden_id'], $ArtikelID, $verweisQuelle, $verweisQuelleID);
	}
	$tpl_refertype = VERWEIS_QUELLE_ARTIKEL;
	$tpl_referid = $ArtikelID;
	$tpl_wk_refertype = $verweisQuelle;
	$tpl_wk_referid = $verweisQuelleID;
		
	// Header
	include_once(DATEIPFAD . "includes/header.inc.php");

	
	$tpl_waehrungarray = GetWaehrungDataArray();
			
	$tpl_waehrunganzeige = "";
	if($tpl_waehrungarray) {
		foreach ($tpl_waehrungarray as $tpl_waehrung_key => $tpl_waehrung) {
			$waehrungsumrechnung = $ArtikelObject->preis * $tpl_waehrung["umrechnung"];
			$waehrungsformatierung = number_format($waehrungsumrechnung,2,',','');
			$tpl_waehrunganzeige .= "(" . $waehrungsformatierung . " " .$tpl_waehrung["symbol"] . ") ";
		}
	}
	
	// ********************************************************************************
	// ** Kategoriepfad
	// ********************************************************************************
    if ($KategorieID) {

    	$KategoriePathIDArray = GetKategoriePathArray($KategorieID, array(), $_SESSION["languageid"]);

	    foreach ($KategoriePathIDArray as $KategoriePathIDElement) {
	        $SEOKategoriePathIDArray[] = $KategoriePathIDElement['id'];
	    }
    
    }

    $SEOURLArray = GetSEOURLArray($SEOKategoriePathIDArray, SEOURL_TYPE_KATEGORIE, $_SESSION["languageid"], $SEOURLArray);
    
    $tpl_kategoriepfad = GetKategoriePathString($KategorieID, $_SESSION["languageid"], $SEOURLArray);
    
    //Artikellink
    $ArtikelIDArray = array($ArtikelObject->merkmalkombinationparentid?$ArtikelObject->merkmalkombinationparentid:$ArtikelID);
    $SEOURLArtikelArray = GetSEOURLArray($ArtikelIDArray, SEOURL_TYPE_ARTIKEL, $_SESSION["languageid"], $SEOURLArray);
    
	// ********************************************************************************
	// ** Artikeldaten fuer die Ausgabe aufbereiten
	// ********************************************************************************
	
	// Grunddaten
	$tpl_kategorieid = $KategorieID;
	$tpl_artikelnummer = $ArtikelObject->artikel_nr;
	$tpl_artikelname = $ArtikelObject->artikel_name;

    if ($shopeinstellungenObject->fck_aktiv) {
        $tpl_artikelbeschreibung = stripslashes($ArtikelObject->beschreibung);
    } else {
        $tpl_artikelbeschreibung = nl2br(stripslashes($ArtikelObject->beschreibung));
    }
    
	$tpl_preis_format = $ArtikelObject->preis_format;
	
	if($ArtikelObject->staffel > 0){
		
		$Preisstaffel = GetArtikelPreisstaffel($ArtikelID,$_SESSION["mail"]);
        $tpl_preisstaffel = '<h3>' . $l_preisstaffeln . '</h3>';
        $tpl_preisstaffel .= '<table class="standard">';
        $tpl_preisstaffel .= '<tbody>';
        foreach($Preisstaffel as $Preis){
			
			// Zebrastreifenmuster
			if ($Background == "") {
				$Background = "class=\"streifenmuster\"";
			} else {
				$Background = "";
			}
			
			$tpl_preisstaffel .= '<tr>';
			$tpl_preisstaffel .= '<td ' . $Background . '>';
			$tpl_preisstaffel .= $l_ab.' '.$Preis['menge'].' '.$l_stueck.' '.$Preis['preis'];
			$tpl_preisstaffel .= '</td>';
			$tpl_preisstaffel .= '</tr>';	
		}
        $tpl_preisstaffel .= '</tbody>';
        $tpl_preisstaffel .= '</table>';
		
	}

    if($tpl_gebindepreise_aktiv && $ArtikelObject->einheit_groesse)
    {
    	$tpl_gebindepreis_string = '(' . $lang_gebindepreis . ' ' . $tpl_gebinde[$ArtikelObject->einheit_masseinheit] . $ArtikelObject->einheit_masseinheit . ' = ' . number_format($ArtikelObject->preis * $tpl_gebinde[$ArtikelObject->einheit_masseinheit] / $ArtikelObject->einheit_groesse, 2, ',', '.') . ' ' . $WaehrungObject->symbol . ')'; 
    }
    
	if(isset($ArtikelObject->preis_alt_format)) {
		$tpl_preis_alt_format = "(" . $lang_alterPreis . ": " . $ArtikelObject->preis_alt_format . ")";
	}
	
	 // Sortierung
     $ArtikelSortField = $Einstellungen->artikel_sortierung->sortieren_nach;
     $ArtikelSortOrder = $Einstellungen->artikel_sortierung->absteigend ? 'DESC' : 'ASC';
        
	// Artikelgruppen
	$tpl_gruppe_teilartikel = GetArtikelDataArray("", "", $ArtikelSortField, $ArtikelSortOrder, "", "", $_SESSION["mail"], "", "", "", "", 0, 0, 0, 0, "", 2, 0, 0, $_SESSION["languageid"], $ArtikelID);
	if($tpl_gruppe_teilartikel)
	{
		$tpl_preis_gruppe_einzelsumme = 0;
		foreach($tpl_gruppe_teilartikel as $key => $teilartikel)
		{
			if($teilartikel['varianten_array'])
			{
				$variantenString = " (";
				foreach($teilartikel['varianten_array'] as $variante)
				{
					if($komma)
						$variantenString .= ", ";
					else
						$komme = true;
					$variantenString .= $variante['variantename'] . ": " . $variante['merkmalname'] . ' / ';
				}
				
				$variantenString = substr($variantenString, 0, strlen($variantenString) - 3);
				
				$variantenString .= ")";
			}
			else
				$variantenString = "";
			$tpl_gruppe_teilartikel[$key]['varianten_string'] = $variantenString; 	
			$tpl_preis_gruppe_einzelsumme += $teilartikel["preis"] * $teilartikel['menge'];
		}
		$tpl_preis_gruppe_einzelsumme = "(" . $lang_summe_einzelpreise . ": " . number_format($tpl_preis_gruppe_einzelsumme, 2, ",", ".") . " " . $WaehrungObject->symbol . ")";
	}
	
	// Merkmalkombination
	if ($ArtikelObject->merkmalkombination) {
		$tpl_artikelid = $ArtikelObject->merkmalkombination;
	} else {
		$tpl_artikelid = $ArtikelObject->id;
	}
	
	
	
	// ********************************************************************************
	// ** Bilder
	// ********************************************************************************
	// Mehr Bilder
	if($ArtikelObject->merkmalkombinationparentid =="0") {
		$ArtikelBildDataArray = getArtikelBilderDataArray($ArtikelID);
	}	else {
		$ArtikelBildDataArray = getArtikelBilderDataArray($ArtikelObject->merkmalkombinationparentid);
	}
	
	if(isset($ArtikelBildDataArray) && count($ArtikelBildDataArray) > 0) {
		$BildPopupVersion = 'class="group" rel="group"';
	} else {
		$BildPopupVersion = 'id="single_image"';
	}
	
	foreach($ArtikelBildDataArray as $ArtikelBildArray => $ArtikelBildData) {
		$tplBilderArray .= "<a rel=\"prettyPhoto[pp_gal]\" class=\"group artikelDetailBilder\" href=\"" . IMAGEPFAD . "dbimages/" . $ArtikelBildData["bigImage"] . "\">". $ArtikelBildData["imagesmall_imagestring"]."</a>";
	}
	
	
	// Hauptbild
	// kleines Bild mit Vergroesserung
	if ($ArtikelObject->imagesmall_imagestring && $ArtikelObject->imagebig_imagestring) {
		$tpl_image_show = true;	
		$tpl_lupe_show = true;	
		$tpl_imagesmall_string = "<a rel=\"prettyPhoto[pp_gal]\" href=\"" . IMAGEPFAD . "dbimages/" . $ArtikelObject->bigImage . "\">" . $ArtikelObject->imagebig_imagestring_format . "</a>";
		//$tpl_imagelupe_string = "<a " . $BildPopupVersion . " href=\"" . IMAGEPFAD . "dbimages/" . $ArtikelObject->bigImage . "\">" . $lang_lupe . "</a>";
		
	// kleines Bild ohne Vergroesserung
	} elseif ($ArtikelObject->imagesmall_imagestring && !$ArtikelObject->imagebig_imagestring) {
		$tpl_image_show = true;	
		$tpl_lupe_show = false;	
		$tpl_imagesmall_string = $ArtikelObject->imagesmall_imagestring;

	// kein Bild
	} else {
		$tpl_image_show = false;	
		$tpl_lupe_show = false;	
	}
	
	// ********************************************************************************
	// ** Ende Bilder
	// ********************************************************************************

	// Lagerbestand
	if ($FeatureObject->bestandsanzeige) {
		$tpl_lager_show = true;
		if ($ArtikelObject->lager_bestellungen < 0) {
			$tpl_lager = "0";
		} else {
			$tpl_lager = $ArtikelObject->lager_bestellungen;
		}
        $lagerAnzeige = $tpl_bestandTitel . " <span id=\"artikelLager\">".$tpl_lager ."</span>";
    }

	// Gewicht
	if ($FeatureObject->anzeige_gewicht) {
		$tpl_gewicht_show = true;
		$tpl_gewicht = number_format($ArtikelObject->gewicht, 2, ',', '');
		$gewichtsAnzeige = $l_gewicht . ": <span id=\"artikelGewicht\">".$tpl_gewicht . "</span> kg";
	}
	
	// Lieferstatus
	if ($FeatureObject->statusanzeige && !isset($ArtikelObject->voe_datum_format)) {
		$tpl_lieferstatus_imagestring =	$ArtikelObject->lieferstatus_imagestring;
		$statusAnzeige = "<a href=\"" . URLPFAD . "themes/kategorie/lieferstatus.php?source=3\">".$tpl_lieferstatus_imagestring."</a>";
	}
	
	// VOE-Datum
	if (isset($ArtikelObject->voe_datum_format)) {
		$tpl_voedatum =	$ArtikelObject->voe_datum_format;
		$voeAnzeige = $lang_voe_am . ": ".$tpl_voedatum;
	}

	// Bestellbutton
	if($ArtikelObject->verkaufstop == 1 && $ArtikelObject->lager_bestellungen < 1 ) {
		$tpl_bestellbutton = "verkaufstop";
	} else {
		if (isset($ArtikelObject->voe_datum_format)) {
			$tpl_bestellbutton = $lang_vorbestellen;
		} else {
			$tpl_bestellbutton = $s_kaufen;
		}
	}

	// Varianten
	if ($ArtikelObject->varianten_array && (!$ArtikelObject->merkmalkombination && !$ArtikelObject->merkmalkombinationparentid)) {

		$tpl_formend_artikel = "</form>";

		foreach ($ArtikelObject->varianten_array as $VariantenKey => $VariantenArray) {

			$tpl_variante["variante" . $VariantenKey . "_string"] = "<select name=\"variante" . $VariantenKey . "\">";
			
			foreach ($VariantenArray as $MerkmalData) {
				$tpl_variante["variante" . $VariantenKey . "_string"] .= "<option value=\"" . $MerkmalData["merkmalid"] . "\">" . $MerkmalData["merkmalname"] . "</option>";
			}
			
			$tpl_variante["variante" . $VariantenKey . "_string"] .= "</select>";

		}

	} elseif (!$ArtikelObject->varianten_array && !$ArtikelObject->merkmalkombination && !$ArtikelObject->merkmalkombinationparentid) {

		$tpl_formend_artikel = "</form>";

	}


// ********************************************************************************
	// ** Abhaengige Artikel
	// ********************************************************************************
	if (!isset($CSDataOffset)) { $CSDataOffset = 0; };
	if (!isset($CSDataCount)) { $CSDataCount = 30; };
	if (!isset($CSSortField)) { $CSSortField = TABLE_ARTIKEL . ".artikel_nr"; };
	if (!isset($CSSortOrder)) { $CSSortOrder = "asc"; };

	$tpl_abartikelarray = GetArtikelDataArray("", "", $CSSortField, $CSSortOrder, "", "", "", "", "", "", "", $ArtikelID,1,1,0,0,0,0,0,$_SESSION["languageid"]);
	
    $SEOCorsssellingIDArray = array();
    foreach ($tpl_abartikelarray as $Artikel) {
        $SEOCorsssellingIDArray[] = $Artikel['id'];
    }
    
    $SEOURLArray = GetSEOURLArray($SEOCorsssellingIDArray, SEOURL_TYPE_ARTIKEL, $_SESSION["languageid"], $SEOURLArray);
	
	if ($tpl_abartikelarray) {
		foreach ($tpl_abartikelarray as $tpl_abartikel_key => $tpl_abartikel) {
			// Beschreibungskurzausgabe
			if($tpl_abartikel["kurz_beschreibung"]) {
				$tpl_abartikelarray[$tpl_abartikel_key]["kurzbeschreibung_abtitel"] = $tpl_abartikel["kurz_beschreibung"];
			} else {
				$tpl_abartikelarray[$tpl_abartikel_key]["kurzbeschreibung_abtitel"] = $tpl_abartikel["beschreibung_kurz"];
			}
		}
	}
	
	
	// ********************************************************************************
	// ** Datenblatt
	// ********************************************************************************
	$DBCount = 0;
	$getDataList = GetDatenblattDataArray($ArtikelID, $_SESSION["languageid"]);
	if($getDataList)  {
		foreach($getDataList as $datenBlatt) {
			if($DBCount == 0) { $DBClass = "contentRow"; $DBCount = 1;  } 
			else {
				$DBClass = "contentRow contentSecondRow"; $DBCount = 0;
			} 
			
			if($datenBlatt["url_feld"] != "") { 
				$datenblatt_name = "<a href=\"".$datenBlatt["url_feld"]."\" target=\"_blank\">".$datenBlatt["titelname"]."</a>";
			} elseif(($datenBlatt["datei_upload"] !="") && ($datenBlatt["url_feld"] == "")) {
				$datenblatt_name = "<a href=\"".URLPFAD."data/".$datenBlatt["datei_upload"]."\" target=\"_blank\">".$datenBlatt["titelname"]."</a>";
			} else {
				$datenblatt_name = "".$datenBlatt["titelname"]."";
			}
			if($datenBlatt["symbol"] !="") {
				if($datenBlatt["smallImage"]) {
					$datenblatt_symbol = "<img src=\"".IMAGEPFAD."dbimages/".$datenBlatt["smallImage"]."\" alt=\"" . $datenBlatt["titelname"] . "\" />";
				}
			}
		
		$datenblatt[] = array('datenblatt_name'=>$datenblatt_name,
													'datenblatt_style'=>$DBClass,
													'datenblatt_symbol'=>$datenblatt_symbol);
		}
	}

	// ********************************************************************************
	// ** Kundenbewertung
	// ********************************************************************************

    $tpl_featureBewertung = $FeatureObject->bewertung;
	if ($FeatureObject->bewertung == "1") {
		
		if(!isset($_GET["all"])) { $_GET["all"] = null; }
		$BewertungenArray = GetBewertungDataArray($ArtikelObject->merkmalkombinationparentid?$ArtikelObject->merkmalkombinationparentid:$ArtikelID, $_GET["all"]);
	
	}
	
	
	// ********************************************************************************
	// ** Partnerprogramm
	// ******************************************************************************
	
	if(PARTNERPROGRAMM && $_SESSION['kunde_partner_key']) {
		
		//
		$link_link = URLPFAD . 'themes/kategorie/detail.php?artikelid=' . $ArtikelID . '&amp;kategorieid=' . $_SESSION["kategorieid"] . '&amp;partner_show=link';
		
		$link_full = URLPFAD . 'themes/kategorie/detail.php?artikelid=' . $ArtikelID . '&amp;kategorieid=' . $_SESSION["kategorieid"] . '&amp;partner_show=full';
		
		//Links zum Artikel generieren
		
		$tpl_partnerprogramm_link = URLPFAD . 'themes/kategorie/detail.php?artikelid=' . $ArtikelID . '&amp;kategorieid=' . $_SESSION["kategorieid"] . '&amp;partner=' . $_SESSION['kunde_partner_key'];

		
		$pp_image_small_size = getimagesize(IMAGEPFAD . "dbimages/" . $ArtikelObject->smallImage);
		$pp_image_small = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelObject->smallImage . "\" width=\"" . $pp_image_small_size[0] . "\" height=\"" . $pp_image_small_size[1] . "\" alt=\"" . $tpl_artikelname . "\" />";
		$pp_image_small_html = htmlspecialchars($pp_image_small);
		
		$pp_image_large_size = getimagesize(IMAGEPFAD . "dbimages/" . $ArtikelObject->bigImage);
		$pp_image_large = "<img src=\"" . IMAGEPFAD . "dbimages/" . $ArtikelObject->bigImage . "\" width=\"" . $pp_image_large_size[0] . "\" height=\"" . $pp_image_large_size[1] . "\" alt=\"" . $tpl_artikelname . "\" />";
		$pp_image_large_html = htmlspecialchars($pp_image_large); 
		
		
		//vollstaendige Artikelansicht generieren
		

		$PartnerArtikel = "<table>";
		$PartnerArtikel .= "<tr>";
		$PartnerArtikel .= "<td>";
		$PartnerArtikel .= "$pp_image_small";
		$PartnerArtikel .= "</td>";
		$PartnerArtikel .= "<td>";
		$PartnerArtikel .= "" . $tpl_artikelname . "<br />" . $tpl_preis_format . "";
		$PartnerArtikel .= "<a href=\"" . $tpl_partnerprogramm_link . "\">Diesen Artikel bei " . $rowAll->firmen_titel . " bestellen.</a>";
		$PartnerArtikel .= "</td>";
		$PartnerArtikel .= "</tr>";
		$PartnerArtikel .= "<tr>";
		$PartnerArtikel .= "<td colspan=\"2\">";
		$PartnerArtikel .= $tpl_artikelbeschreibung;
		$PartnerArtikel .= "</td>";
		$PartnerArtikel .= "</tr>";
		$PartnerArtikel .= "</table>";
		$PartnerArtikelHTML = htmlspecialchars($PartnerArtikel);
		
		
		$SQLString = 'SELECT provision_artikelbasiert, provision_bestellbasiert ';
		$SQLString .= 'FROM ' . TABLE_PARTNERPROGRAMM_EINSTELLUNGEN;
		
		$PPEinstellungen = mysql_fetch_object(errorlogged_mysql_query($SQLString));
		
		if($PPEinstellungen->provision_artikelbasiert != 0 || $PPEinstellungen->provision_bestellbasiert != 0){
			define(PARTNERPROGRAMM_AKTIV,true);
		} else {
			define(PARTNERPROGRAMM_AKTIV,false);
		}


		//Ausgabe generieren
		switch($_GET['partner_show']){
			case "":
				$tpl_partnerAusgabe = "<p><a href=\"" .$link_link .  "\">". $lang_partner_nur_links_anzeigen . "</a></p>";
				$tpl_partnerAusgabe .= "<p><a href=\"" .$link_full .  "\">" . $lang_partner_vollcode_anzeigen . "</a></p>";
			break;
			
			case "link":
				$tpl_partnerAusgabe = "<form><textarea class=\"artikelPartnerTextarea\">";
				$tpl_partnerAusgabe .= $lang_partner_link_zum_artikel . ": ";
				$tpl_partnerAusgabe .= $tpl_partnerprogramm_link . "\n\n";
				$tpl_partnerAusgabe .= $lang_grosses_bild . ":";
				$tpl_partnerAusgabe .= $pp_image_large_html . "\n\n";
				$tpl_partnerAusgabe .= $lang_kleines_bild . ":";
				$tpl_partnerAusgabe .= $pp_image_small_html . "\n\n";
				$tpl_partnerAusgabe .= "</textarea></form>";
				$tpl_partnerAusgabe .= "<p>" . $lang_partner_erlaeuterung . ":</p>";
				$tpl_partnerAusgabe .= "<p>" .$lang_partner_erlaeuterung_link_text . "</p>";
				$tpl_partnerAusgabe .= "<p><a href=\"javascript:history.back()\">".$lang_zurueck."</a></p>";
			break;
			
			case "full":
				$tpl_partnerAusgabe = "<p>" . $lang_vorschau . ":</p>";
				$tpl_partnerAusgabe .= "<p>" . $PartnerArtikel . "</p>";
				$tpl_partnerAusgabe .= "Quelltext:";
				$tpl_partnerAusgabe .= "<form><textarea class=\"artikelPartnerTextarea\">". $PartnerArtikelHTML. "</textarea></form>";

				$tpl_partnerAusgabe .= "<p>" . $lang_partner_erlaeuterung . ":</p>";
				$tpl_partnerAusgabe .= "<p>" . $n_pp_erlaeuterung_full_text . "</p>";
				$tpl_partnerAusgabe .= "<p><a href=\"javascript:history.back()\">".$lang_zurueck."</a></p>";
			break;
			
		}

	}

	// Template
	$contentFile = DATEIPFAD . "templates/" . $rowTemp->name . "/website/artikel/artikeldetail.tpl";

	// Letzte globale Zusammenfassung z.B. fuer Warenkorbanzeige, bevor das Template geladen wird.
	include_once(DATEIPFAD . "includes/footer.inc.php");
	
    includeCustomisationFiles('artikeldetail');

	// Template	
	include_once(DATEIPFAD . "templates/" . $rowTemp->name . "/website/index.tpl");
	
		
	@mysql_close($db);
	
?>
